AutoCAD Inventor :: ILogic - Get View Type
Dec 17, 2013
Is there a way to get the "view type" of a view using iLogic? for example;
-detail view
-section view
-exploded view
Or any way to differentiate between the types of views? I'm trying to write a rule that renames all detail and section views in a drawing in Alphabetical order. A,B,C,D..
View 5 Replies
ADVERTISEMENT
May 21, 2013
I would like to know if it is possible to use iLogic to change the Hole Type from Through to Tapped as conditions dictate. Is this even possible? I already have a backup plan but wanted to check out all possibilites before I proceed. Using Inventor 2012 SP2.
View 1 Replies
View Related
Jun 21, 2012
Dim propertyName1 As String = "Mortise"Dim propertyName2 As String = "Cut Length"customPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties")Try prop = customPropertySet.Item(propertyName1) prop = customPropertySet.Item(propertyName2)Catch ' Assume error means not found customPropertySet.Add("", propertyName1) customPropertySet.Add("", propertyName2)End Try'output the custom iproperties and update the fileRuleParametersOutput()InventorVb.DocumentUpdate()'set iProperties 'iProperties.Value("Custom", "Mortise") = ""'update fileiLogicVb.UpdateWhenDone = True
This code creates custom iProperties if the iProperty isn't found. I'd like to add another iProperty called "Resaw" with a Yes/No property type. Is there a way of doing this the way I have things started here?
View 3 Replies
View Related
Sep 25, 2013
I have this error in my iLogic code for inserting sketch symbols. "Public Member 'ActiveSheet' on type 'Drawing View' not found"
I have declared everything in the code. I dont understand what it cant find.
View 7 Replies
View Related
Nov 2, 2011
I am using ilogic in Inventor 2011 to update my iproperties when I save a .dwg file. I am having problems with some custom iProperties I have created that are of the type 'number' and are initially set to 0 (zero). After the iLogic rule has run and the user has entered a numeric value the type of the custom iproperty has changed to 'text'.
The ilogic code I am using is:
If iProperties.Value("Custom", "Nominal ID") = 0 Then
iProperties.Value("Custom", "Nominal ID") = InputBox("Enter The Nominal ID (Enter 0 if no value is available)", "Nominal ID", 0)
Custom_iProp_Nom_ID = iProperties.Value("Custom", "Nominal ID")
End If
I am using Vault 2011 and would like to map this property to a numeric property so I can perform <= and >= searches.
View 2 Replies
View Related
May 21, 2012
Is there Any code out there that will allow user to select part file then isolate and create view rep of that part with name of view rep the same as part.
The reason is we have lots of reps that isolate various components and this is very time consuming, I have had a look if there is Any customization because this would be a good user tool,also could work very well on assembly.
View 3 Replies
View Related
Dec 19, 2012
ILogic code ,I have had some code done to isolate selected parts in a assembly file that has a specific custom property filled in i.e. : DESC2.It then creates view reps and locks down giving the rep name the same name as part.
What I am after is some code that will place these isolated view reps as views on my dwg that the assembly resides in.With the functionality of picking face to show plan view of parts.
View 3 Replies
View Related
Mar 16, 2012
I have been looking around but have not been able to find examples of how (If I can) set the model views via iLogic.
What I am trying to do is to have the view change from "Master" to the view I have created for each part, so when I go to create drawing all I have to select the right view and the part changes to match view.
View 5 Replies
View Related
Jul 11, 2013
Is it possible to rotate a drawing view using iLogic?
View 2 Replies
View Related
Oct 18, 2013
I kept the code simple
fname = ThisDoc.FileName(False) 'without extension fpath = ThisDoc.PathoPartDocPath = fpath+""+fname+".ipt"oPartDoc = ThisApplication.Documents.Open(oPartDocPath, False)oDrawDoc = ThisApplication.ActiveDocument oSheet = oDrawDoc.Sheets.Item(1)oTG = ThisApplication.TransientGeometryoPoint1 = oTG.CreatePoint2d(5, 5)oBaseView = oSheet.DrawingViews.AddBaseView(oPartDoc, oPoint1, DrawingViewScale, kFrontViewOrientation, kHiddenLineDrawingViewStyle, "Default")
it is a local rule in an idw file that has been saved with an ipt file of the same name saved in the same directory. Now I get the most useless error message ever devised by manking
"The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))"
View 5 Replies
View Related
Mar 22, 2013
I am using a number of sketches in a skeleton to control multiple solutions.
I am using case statements that apply values to my variables and create my solutions which is working fine however,
for clarity of what is being used in a given solution I want to turn on/off the sketches in my code. I have created a set of model views that when active properly turn off the visibability of the appropreate sketch.
While model view is among the things that can be selected for use in the code, so far as I can tell, I can not find a function that will allow me to set a view true so that it activates the view and my sketches turn off.
View 1 Replies
View Related
Jul 31, 2013
Like the title says I am looking to place views (and dimensions) on drawings using ilogic. I am new to both inventor and ilogic, most of my training came in SolidWorks. It needs to pull the part from an ipart that pulls the information from an excel file.
View 1 Replies
View Related
Jan 22, 2013
Is there a line of code that will look at a drawing view and turn shading on?
I have tried
ActiveSheet.View("VIEW1").View.Shaded = True
but it didn't work .
View 6 Replies
View Related
Feb 9, 2012
Is there code for changing the color (or other properties) of the visible edges of a component in a drawing view, the same way I can do it manually by right-clicking a component and choosing Properties?
I wrote this rule to change the color of each individual drawing curve:
Edit: Ignore the "<!". It's the only way I could get the iLogic code to successfully post in the message
Spoiler (Highlight to read)<!Dim drawViews AsDrawingView
For Each drawViews In ThisApplication.ActiveDocument.ActiveSheet.DrawingViews
occ3 = drawViews.ReferencedDocumentDescriptor.ReferencedDocument.ComponentDefinition.Occurrences.ItemByName("GF_Plenum:1")
Dim newColor3 As Color
newColor3 = ThisApplication.TransientObjects.CreateColor(0,255,255)
[code]....
View 2 Replies
View Related
Nov 19, 2013
I have successfully been able to rotate the drawing view. rotating the view label.
View 1 Replies
View Related
Nov 19, 2010
I have a iLogic question about finding out if a View exits..
Lets say I have a drawing that I want to read the scale of a view.. All the snippets I have found is pointing to the name of the view like "VIEW1". But if I have deleted the first view I created it will give me an error..
So, is there ant possibility to check if the "VIEW1" exits without getting an error?
View 9 Replies
View Related
Sep 6, 2013
In a detail view, how can I change the line type? The contour of the detail view?
View 5 Replies
View Related
Sep 18, 2012
I am trying to rewrite Curtis Waguespack's ilogic code to modify drawing view labels from this post http: [URL]...
The completed label should appear like this
<Description> - Mk <Part Number>
Est Unit Mass = X kg
(Scale 1:1)
At this point I have 2 problems
1. I want to add the physical mass to the second line and would prefer to use the calculated physcial property rather than the a custom iproperty. If editing the view label, it would the property access under physcial properties.
2. I want to rewrite the code so it is selective or per view - in otherwords, I only want it to modify a single view I select once the code is run. At this point I know I need to remove the For loop but I dont have a clue as to how to make it selective.
'start of ilogic codeDim oDoc As DrawingDocument: oDoc = ThisDoc.DocumentoModel = ThisDoc.ModelDocumentDim oSheets As SheetsDim oSheet As SheetDim oViews As DrawingViewsDim oView As DrawingViewoSheets = oDoc.SheetsFor Each oSheet In oSheetsoViews = oSheet.DrawingViews For Each oView In oViews oView.ShowLabel = True
[Code] ......
View 5 Replies
View Related
Apr 17, 2012
what i am trying to do is create an iLogic rule that if your drawing view scale is set to the following ...
1:1, 1:2, 1:4, 1:8, 1:12, 1:!6, 1:24, 1:32, 1:48, etc. on the view label for that view it will diplay ...
SCALE: 1/2" = 1'-0"
and so on for the rest for the standard scale factors.
i know it will be some sort of a loop and it needs to check all views when ran for any changes.
i have never done any coding for the drawing side of inventor yet only model coding
View 6 Replies
View Related
Aug 24, 2012
when open an assembly not all parts are shown. To be able to see entire assymbly need to change View representation to Master manually. How to achieve this in Ilogic?
View 5 Replies
View Related
Feb 24, 2011
is there any way using iLogic or other method to automatically control the size of the 'break' in a drawing view? I have built a model which uses iLogic to control virtually everything, however the large variations in the length of the product mean that there are some interesting results when it comes to the broken drawing views updating.
it would be nice to locate the break at the absolute center of the view and then size it as a percentage of the view size along one axis or perhaps according to some other length based rule.
Dell Precision M6400 - C2D 2.66 / 8gb / Quadro FX3700M / Win 7 Pro x64
View 9 Replies
View Related
Apr 17, 2012
I have received a great solution from Bobvdd allowing ilogic control of the view rep in a part file (not an assembly file). The code below works brilliantly when the part file is the active document. However when the part is placed in an assembly and the ilogic is run with the assembly active, the code produces no result. How to modify the top 6 lines of code?
Dim oApp As Inventor.Application
oApp = ThisApplication
Dim oDoc As Document
[Code]....
View 2 Replies
View Related
Apr 16, 2012
How to change the view rep in an assembly
(using oAsmCompDef.RepresentationsManager.DesignViewRepresentations.Item("Red").activate) -
However I am trying to achieve the same with iLogic in a part file (multi-solid).
View 2 Replies
View Related
Jul 22, 2013
I am trying to piece together some code for an ilogic rule. This rule should look for a drawing view that is a flat pattern, if it finds one it should change the object layer to our "CNC" layer.
View 3 Replies
View Related
Jul 11, 2013
I'm trying to do this with iLogic, and i'm not getting anywhere. What I need, is to be able get to the iProperties of an associated model that is referenced into a drawing file. I want to make it easier to update the iProperties from the drawing file, without having to open the model file.
Factory Design Suite Ultimate 2012
AutoCAD 2012 | Inventor Professional 2012 | Vault Professional 2012
View 2 Replies
View Related
Sep 4, 2012
Is it possible to have iLogic rule create parts lists out of View Representations? [URL] .......
View 9 Replies
View Related
Jun 29, 2013
If I have a "idw" file open containing an assembly (asm), and another "idw" file containing a part (ipt), how can I determine, using a VBA macro the type of file that I have used (either "assembly" or "Part")
If the "Idw" file contains an assembly, running the maco should say "assembly". If it contains only a part (ipt) then it should say "part"..Is this possible using a vba macro?
View 1 Replies
View Related
Sep 9, 2013
I use the same sketch to create a break out view in one type of drawing. I may be blind, but I can't seem to find a way to save that sketch and reuse it when I want to create a break out view.
View 4 Replies
View Related
Jul 2, 2012
Is there a way to convert an Inventor 2012 view scale from "0.5" to "1:2" or similar within an iLogic rule? I can extract the main view scale and plug it into a variable but the format isn't correct for the drawings I'm creating.
View 2 Replies
View Related
Jan 30, 2013
Currently have an iLogic rule in my drawing template that base on user input brings up the Drawing View dialog box (as though you click on base view). I want to know if there is some coding I can do to control or handle what happens if the user clicks the cancel command inside this dialog box. Possibly show a message box. Or even run another rule after the cancel button has been clicked?
View 1 Replies
View Related
Sep 25, 2012
Autodesk 2013 Inventor Professional.
1. When in style and Standard editor with default standard selected under Standard I am trying to display mass properties in my view label.Select View Preferences tab. View type Base. Next to Display select Edit View Label.When Format Text box pops up in the selection for text type I have two options.
a. Properties - Model
b. View Label Properties
2. Inside an IDW file right click on view and select edit view.When Drawing View box pops up there is the option to access Edit View Label next to View Identifier.When Format Text box pops up in the selection for text type at this point there are seven options.
a. Properties - Model
b. Properties - Drawing
c. Drawing Properties
d. Sheet Properties
e. Physical Properties - Model
f. View Label Properties
g. Sheet Metal Properties
Questions 1. Why are ther only two options in S&S Editor?
2. Can I add more options to S&S Editor?
I would like to add mass to my lablel inside certain templates and have it show when I display a views Base view label. Not ot have to maunually add it each time it is displayed.
View 5 Replies
View Related